NPMRC.JS(1)

NAME
npmrc.js - Switch between different .npmrc files

DESCRIPTION
npmrc

    Switch between different .npmrc files with ease and grace.

  Usage:

npmrc
    list all profiles

npmrc [name]
    change npmrc profile (uses fuzzy matching)

npmrc -c [name]
    create a new npmrc profile called name

npmrc -r [registry]
    use an npm mirror

  Available mirrors for npmrc -r:

au  - Australian registry mirror

eu  - European registry mirror

cn  - Chinese registry mirror

    default - Default registry

Example:

    # Creating and activating a new .npmrc called "work": $ npmrc -c work

    # Switch between "work" and "default" $ npmrc work $ npmrc default # Use the European npm mirror $ npmrc -r eu